=== debian/changelog ===
postgis (3.3.2+dfsg-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2001569). Remaining changes:
    - Disable LTO on ppc64el to fix build failure.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 04 Jan 2023 09:32:57 -0300

postgis (3.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Nov 2022 09:03:35 +0100

postgis (3.3.1+dfsg-2ubuntu2) lunar; urgency=medium

  * No change rebuild for postgresql-15.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 23 Dec 2022 08:51:24 -0300

postgis (3.3.1+dfsg-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO on ppc64el to fix build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 19:11:47 -0800

postgis (3.3.1+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Oct 2022 21:45:26 +0200

postgis (3.3.1+dfsg-2~exp1) experimental; urgency=medium

  * Add metapackages to help upgrade the postgis packages.
  * Update packaging for postgresql-15.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Oct 2022 08:03:48 +0200

postgis (3.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Sep 2022 14:41:00 +0200

postgis (3.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Aug 2022 15:08:10 +0200

postgis (3.3.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Aug 2022 05:26:55 +0200
