## postgis 3.3.3+dfsg

=== debian/changelog ===
postgis (3.3.3+dfsg-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining change:
    - Disable LTO on ppc64el to fix build failure.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 14:29:30 -0400

postgis (3.3.3+dfsg-2) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Add patch to fix FTBFS with PROJ 9.2.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jun 2023 21:01:54 +0200

postgis (3.3.3+dfsg-1) unstable; urgency=medium

  * Ignore autopkgtest failure on armel/armhf, sfcgal not available there.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 11:59:00 +0200

postgis (3.3.3+dfsg-1~exp1) experimental; urgency=medium

  [ Christoph Berg ]
  * Refactor "ignore tests on some architectures" code.
  * Sync architectures to skip between debian/rules and debian/tests,
    effectively re-enabling tests on arm*.
  * Remove obsolete Breaks and Replaces.

  [ Bas Couwenberg ]
  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update URLs to use HTTPS.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 May 2023 05:36:20 +0200
