=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: bison,
                dctrl-tools,
                dblatex,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                docbook,
                docbook-xsl,
                dpkg-dev (>= 1.16.1~),
@@ -35,10 +35,11 @@
                protobuf-c-compiler,
                rdfind,
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
 Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git
-Homepage: http://postgis.net/
+Homepage: https://postgis.net/
+Rules-Requires-Root: no
 
 Package: postgis
 Architecture: any
@@ -80,7 +81,6 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: postgis
-Breaks: postgis (<< 1.2.1)
 Provides: postgresql-15-postgis
 Description: Geographic objects support for PostgreSQL 15
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -97,7 +97,6 @@
          ${misc:Depends}
 Recommends: postgresql-15-postgis-3
 Provides: postgresql-15-postgis-scripts
-Replaces: postgresql-15-postgis-scripts (<< 2.2.2+dfsg-3~)
 Description: Geographic objects support for PostgreSQL 15 -- SQL scripts
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
