=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 ifeq ($(DEB_HOST_ARCH), ppc64el)
-    DEB_BUILD_MAINT_OPTIONS += optimize=-lto
+	DEB_BUILD_MAINT_OPTIONS += optimize=-lto
 endif
 
 # Don't fail when d/control doesn't match template
@@ -20,6 +20,14 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/postgresql-common/pgxs_debian_control.mk
+
+# Ignore testsuite failures on these architectures
+IGNORE_TEST_FAILURE_ARCHS = mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64
+ifneq (,$(filter $(DEB_BUILD_ARCH),$(IGNORE_TEST_FAILURE_ARCHS)))
+	TEST_FAIL_COMMAND = echo "Ignoring test failures"
+else
+	TEST_FAIL_COMMAND = exit 1
+endif
 
 # Upstream version (including ~rcN) for symbols version
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
@@ -158,31 +166,16 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 #	Run unit tests (against the newest Postgres version first)
 	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) test ###"
-# Ignore test failure on problematic architectures
-ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64))
 	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
-		make check RUNTESTFLAGS="-v" || echo "Ignoring test failures"
-else
-	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
-		make check RUNTESTFLAGS="-v"
-endif
+		make check RUNTESTFLAGS="-v" || $(TEST_FAIL_COMMAND)
 
 #	Test against all other Postgres versions
-ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64))
 	set -e; \
 	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
 		echo "### PostgreSQL $$PGVER test ###"; \
 		pg_virtualenv -v $$PGVER \
-			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || echo "Ignoring test failures"; \
+			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || $(TEST_FAIL_COMMAND); \
 	done
-else
-	set -e; \
-	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
-		echo "### PostgreSQL $$PGVER test ###"; \
-		pg_virtualenv -v $$PGVER \
-			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v"; \
-	done
-endif
 endif
 
 override_dh_auto_install:
@@ -210,3 +203,14 @@
 	(set -ex; \
 	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
 		for control in $(CURDIR)/debian/tmp/usr/share/postgresql/$$PGVER/extension/*.control; do \
+			mv $$control $${control%.control}-$(MAJOR_VERSION).control; \
+		done \
+	done)
+
+#	Compile and install docs
+	$(MAKE) -C doc docs-install man-install \
+		DESTDIR=$(CURDIR)/debian/tmp \
+		PGSQL_DOCDIR=/usr/share/doc \
+		PGSQL_MANDIR=/usr/share/man
+
+#	Move binaries from the NEWEST_POSTGRES_VERSION build to the
