## postgis 3.3.4+dfsg

=== debian/changelog ===
postgis (3.3.4+dfsg-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Disable proj-7.0.1.patch.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 28 Jul 2023 14:40:16 +0200

postgis (3.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop PROJ 9.2 & GEOS 3.12 patches, fixed upstream.
    Drop powerpc patch, applied upstream.
    Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Jul 2023 14:40:16 +0200

postgis (3.3.3+dfsg-5) unstable; urgency=medium

  * Fix --enable-lto configure option.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jul 2023 10:02:30 +0200

postgis (3.3.3+dfsg-4) unstable; urgency=medium

  * Add graphicsmagick-imagemagick-compat to Build-Conflicts.
    https://trac.osgeo.org/postgis/ticket/5446
  * Ignore test failure on i386.
    https://trac.osgeo.org/postgis/ticket/5448
  * Add patch to fix FTBFS on powerpc architectures.
    https://trac.osgeo.org/postgis/ticket/5450

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jul 2023 09:45:35 +0200

postgis (3.3.3+dfsg-3) unstable; urgency=medium

  * Add patch to fix FTBFS with GEOS 3.12.
    (closes: #1042263)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jul 2023 07:09:44 +0200
