=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: postgis
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Stephen Frost <sfrost@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
            Markus Wanner <markus@bluegap.ch>,
@@ -11,7 +10,7 @@
 Build-Depends: bison,
                dctrl-tools,
                dblatex,
-               debhelper-compat (= 13),
+               debhelper (>= 12),
                docbook,
                docbook-xsl,
                dpkg-dev (>= 1.16.1~),
@@ -35,6 +34,7 @@
                protobuf-c-compiler,
                rdfind,
                xsltproc
+Build-Conflicts: graphicsmagick-imagemagick-compat
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
 Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git
@@ -74,6 +74,70 @@
  .
  This package contains the PostGIS documentation.
 
+Package: postgresql-11-postgis-3
+Architecture: any
+Depends: postgresql-11,
+         postgresql-11-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-11-postgis
+Description: Geographic objects support for PostgreSQL 11
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
+Package: postgresql-12-postgis-3
+Architecture: any
+Depends: postgresql-12,
+         postgresql-12-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-12-postgis
+Description: Geographic objects support for PostgreSQL 12
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
+Package: postgresql-13-postgis-3
+Architecture: any
+Depends: postgresql-13,
+         postgresql-13-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-13-postgis
+Description: Geographic objects support for PostgreSQL 13
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
+Package: postgresql-14-postgis-3
+Architecture: any
+Depends: postgresql-14,
+         postgresql-14-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-14-postgis
+Description: Geographic objects support for PostgreSQL 14
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
 Package: postgresql-15-postgis-3
 Architecture: any
 Depends: postgresql-15,
@@ -89,6 +153,78 @@
  database for geographic information systems (GIS), much like ESRI's
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
+
+Package: postgresql-11-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${perl:Depends},
+         ${misc:Depends}
+Recommends: postgresql-11-postgis-3
+Provides: postgresql-11-postgis-scripts
+Description: Geographic objects support for PostgreSQL 11 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 11 database, and for upgrading from earlier PostGIS versions.
+
+Package: postgresql-12-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${perl:Depends},
+         ${misc:Depends}
+Recommends: postgresql-12-postgis-3
+Provides: postgresql-12-postgis-scripts
+Description: Geographic objects support for PostgreSQL 12 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 12 database, and for upgrading from earlier PostGIS versions.
+
+Package: postgresql-13-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${perl:Depends},
+         ${misc:Depends}
+Recommends: postgresql-13-postgis-3
+Provides: postgresql-13-postgis-scripts
+Description: Geographic objects support for PostgreSQL 13 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 13 database, and for upgrading from earlier PostGIS versions.
+
+Package: postgresql-14-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${perl:Depends},
+         ${misc:Depends}
+Recommends: postgresql-14-postgis-3
+Provides: postgresql-14-postgis-scripts
+Description: Geographic objects support for PostgreSQL 14 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 14 database, and for upgrading from earlier PostGIS versions.
 
 Package: postgresql-15-postgis-3-scripts
 Architecture: all
