=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,6 @@
 
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-ifeq ($(DEB_HOST_ARCH), ppc64el)
-	DEB_BUILD_MAINT_OPTIONS += optimize=-lto
-endif
 
 # Don't fail when d/control doesn't match template
 export PG_UPDATECONTROL=yes
@@ -22,7 +18,7 @@
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 
 # Ignore testsuite failures on these architectures
-IGNORE_TEST_FAILURE_ARCHS = mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64
+IGNORE_TEST_FAILURE_ARCHS = i386 mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64
 ifneq (,$(filter $(DEB_BUILD_ARCH),$(IGNORE_TEST_FAILURE_ARCHS)))
 	TEST_FAIL_COMMAND = echo "Ignoring test failures"
 else
@@ -214,3 +210,5 @@
 		PGSQL_MANDIR=/usr/share/man
 
 #	Move binaries from the NEWEST_POSTGRES_VERSION build to the
+#	'postgis' binary package.
+	mkdir -p $(CURDIR)/debian/postgis/usr/bin
